.btn,
p.instructions span {
  font-weight: 700;
}

.input,
.wrap,
body,
div.window {
  text-align: center;
}

a {
  text-decoration: none;
  color: #7abb4d;
}

.btn,
.close,
div.window label {
  cursor: pointer;
}

p.instructions {
  line-height: 25px;
}

.btn,
p.instructions {
  text-transform: uppercase;
  font-size: 14px;
  margin: 0px auto 0;
  font-weight: 700;
  color: #121212;
}

.btn,
.input {
  outline: 0;
}

.btn,
.input,
footer,
h4 {
  width: 90%;
}

.wrap,
footer,
h2,
h4 {
  margin: 0 auto;
}

.btn,
.wrap,
div.window,
p {
  position: relative;
}

.icon-line,
.input,
.tariff,
h2 span {
  display: block;
}

.btn,
.flex,
.rating {
  display: flex;
}

body {
  height: 100vh;
  font-family: "Inter", sans-serif;
  line-height: 1.5;
  font-size: 0.9em;
  -webkit-font-smoothing: subpixel-antialiased;
  padding: 0;
  margin: 0;
  color: #232323;
}

.hidden {
  display: none;
}

.wrap {
  display: block;
  width: 100%;
  max-width: 500px;
  overflow: auto;
  margin: auto;
}

.logo img {
  display: block;
  width: 100px;
}

.language {
  display: flex;
}

.language img {
  width: 30px;
}

.content {
  width: 80%;
  height: auto;
  max-width: 340px;
  margin: 0 auto 20px;
  padding: 30px 15px 30px;
  display: flex;
  flex-direction: column;
  border-radius: 20px;
  border-radius: 20px;
  border: 1px solid #eeeeee;
  background: #fff;
  box-shadow: 0 0 15px 0 rgba(85, 85, 85, 0.2);
}

.content img {
  width: 100%;
  max-width: 120px;
  margin: auto;
  padding: 30px 0;
}

.progress-container {
  text-align: center;
  margin: 20px auto;
}

.progress-bar-container {
  width: 260px;
  height: 12px;
  background-color: #f0f0f0;
  overflow: hidden;
  border: 2px solid #00d619;
  padding: 3px;
  position: relative;
  border-radius: 20px;
  margin: 0 auto;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.progress-bar {
  width: 0%;
  height: 100%;
  background: #00d619;
  transition: width 0.2s ease-in-out;
  border-radius: 20px;
}

.progress-bar.full {
  border-radius: 20px;
}

.progress-text {
  margin-bottom: 10px;
  font-size: 18px;
  font-weight: 500;
  color: #00d619;
}

/* .userCheckin {
  background-color: #B4EAFF;
  color: #000;
  border: none;
  padding: 10px 20px;
  border-radius: 20px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease;
} */

.userCheckin.btn-color {
  background-color: #00d619;
  /* color final verde */
  color: white;
}

header {
  /* box-shadow: 2px 2px 8px #f5f5f5; */
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
  margin: 0 auto 30px;
  max-width: 500px;
  padding: 0 20px;
}

header a {
  font-size: 14px;
  font-weight: 700;
  margin: 0;
}

header .logo h3 {
  font-weight: bolder;
  color: #83bb00;
  font-size: 16px;
  margin: 5px auto;
}

.header_right {
  display: flex;
  align-items: center;
  gap: 15px;
}
.toggle {
  width: 25px;
  height: 25px;
  background: url("../../images/BD_Moiraplaybd/toggle-dark.png") center/25px no-repeat;
  z-index: 20;
}
.toggle.active {
  background: url("../../images/BD_Moiraplaybd/toggle-active.png") center/25px no-repeat;
  position: relative;
}
.navigation {
  position: fixed;
  left: 100%;
  width: 100%;
  background-color: #1cb7ff;
  z-index: 15;
}
.modal,
.navigation.active {
  left: 0;
  top: 0;
}
.navigation ul {
  list-style-type: none;
  padding-left: 0;
  padding-top: 100px;
  padding-bottom: 60px;
  margin: 0;
}

.navigation li {
  padding: 10px 0;
}

.navigation a {
  color: #fff;
}

div.window,
h2,
h3,
h4 {
  font-weight: 400;
}

p {
  font-size: 16px;
  line-height: 20px;
  margin: 0;
  margin-bottom: 5px;
}

h1 {
  font-size: 22px;
  padding: 0px;
  line-height: 24px;
  color: #525252;
  font-weight: 600;
  text-transform: uppercase;
  margin: 5px auto;
}

h2 {
  font-size: 22px;
}

h3 {
  margin-top: 50px;
  font-size: 20px;
}

.rating,
h4 {
  font-size: 14px;
}

h2 span {
  font-size: 42px;
  font-weight: 600;
}

.flex {
  justify-content: center;
  align-items: center;
}

.flag {
  width: 30px;
  height: 20.1px;
  border: 0.1px solid #4f4f4f;
  margin-right: 15px;
}

.flag img {
  width: 100%;
  height: auto;
}

.rating {
  margin: 0;
  align-items: flex-end;
}

.number {
  padding-left: 8px;
}

.stars {
  font-size: 20px;
  color: #ffbc1c;
}

.input {
  display: block;
  border: 2px solid #dbdbdb;
  border-radius: 8px;
  color: #121212;
  font-size: 20px;
  max-width: 280px;
  padding: 10px;
  margin: 10px auto 0px;
  background: url("../../images/BD_GetUpdate_WNew/bg-input.png") 10px 8px/26px no-repeat #fff;
  box-sizing: border-box;
  text-align: left;
  letter-spacing: 1.2px;
  padding-left: 100px;
}

input:focus {
  outline: 0;
  outline: none;
  border: 2px solid #8dccff;
}

select {
  display: block;
  border: 2px solid #dbdbdb;
  border-radius: 8px;
  color: #121212;
  font-size: 20px;
  max-width: 280px;
  width: 100%;
  padding: 10px;
  margin: 10px auto 0px;
  box-sizing: border-box;
  text-align: left;
}

.input-group {
  position: relative;
}

.prefix {
  position: absolute;
  left: calc(50% - 115px);
  padding-left: 20px;
  top: 6.5px;
  font-weight: 500;
  font-size: 22px;
}

.pin {
  background: url("../../images/BD_GetUpdate_WNew/padlock.png") 10px 6px/30px no-repeat #fff;
  width: 150px;
  padding-left: 50px;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 70px;
  max-width: 280px;
  background-color: #00d61949;
  border: none;
  border-radius: 10px;
  color: white;
  font-size: 28px;
  font-weight: 600;
  text-transform: uppercase;
  padding: 10px;
  margin: 10px auto;
  cursor: pointer;

  &.btn-small {
    height: 26px;
    width: fit-content;
    font-size: 14px;
    padding: 8px 30px;
  }

  &.btn-access {
    background-color: #00d619;
    color: white;
    font-size: 24px;
    height: 50px;
  }
}

.btn-check {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 70px;
  max-width: 280px;
  background-color: #00d619;
  border: none;
  border-radius: 10px;
  color: white;
  font-size: 28px;
  font-weight: 600;
  text-transform: uppercase;
  padding: 10px;
  margin: 10px auto;
  cursor: pointer;
}

.small-btn {
  min-height: 26px;
  width: fit-content;
  font-size: 14px;
  padding: 8px 30px;
  background-color: #f07264;
}

@keyframes btnAnimation {
  0%,
  100% {
    -webkit-box-shadow: 0 0 12px 2px rgba(100, 201, 240, 0.7);
    box-shadow: 0 0 12px 2px rgba(100, 201, 240, 0.7);
  }

  50% {
    -webkit-box-shadow: 0 0 12px 5px rgba(100, 201, 240, 0.9);
    box-shadow: 0 0 12px 5px rgba(100, 201, 240, 0.9);
  }
}

.dot-spinner {
  --uib-size: 2.8rem;
  --uib-speed: 0.9s;
  --uib-color: #183153;
  position: relative;
  display: none;
  align-items: center;
  justify-content: center;
  margin: 20px auto;
  height: var(--uib-size);
  width: var(--uib-size);
}

.dot-spinner__dot {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
}

.dot-spinner__dot::before {
  content: "";
  height: 20%;
  width: 20%;
  border-radius: 50%;
  background-color: var(--uib-color);
  transform: scale(0);
  opacity: 0.5;
  animation: pulse0112 calc(var(--uib-speed) * 1.111) ease-in-out infinite;
  box-shadow: 0 0 20px rgba(18, 31, 53, 0.3);
}

.dot-spinner__dot:nth-child(2) {
  transform: rotate(45deg);
}

.dot-spinner__dot:nth-child(2)::before {
  animation-delay: calc(var(--uib-speed) * -0.875);
}

.dot-spinner__dot:nth-child(3) {
  transform: rotate(90deg);
}

.dot-spinner__dot:nth-child(3)::before {
  animation-delay: calc(var(--uib-speed) * -0.75);
}

.dot-spinner__dot:nth-child(4) {
  transform: rotate(135deg);
}

.dot-spinner__dot:nth-child(4)::before {
  animation-delay: calc(var(--uib-speed) * -0.625);
}

.dot-spinner__dot:nth-child(5) {
  transform: rotate(180deg);
}

.dot-spinner__dot:nth-child(5)::before {
  animation-delay: calc(var(--uib-speed) * -0.5);
}

.dot-spinner__dot:nth-child(6) {
  transform: rotate(225deg);
}

.dot-spinner__dot:nth-child(6)::before {
  animation-delay: calc(var(--uib-speed) * -0.375);
}

.dot-spinner__dot:nth-child(7) {
  transform: rotate(270deg);
}

.dot-spinner__dot:nth-child(7)::before {
  animation-delay: calc(var(--uib-speed) * -0.25);
}

.dot-spinner__dot:nth-child(8) {
  transform: rotate(315deg);
}

.dot-spinner__dot:nth-child(8)::before {
  animation-delay: calc(var(--uib-speed) * -0.125);
}

@keyframes pulse0112 {
  0%,
  100% {
    transform: scale(0);
    opacity: 0.5;
  }

  50% {
    transform: scale(1);
    opacity: 1;
  }
}

.modal,
.pin-steps,
input.toggle {
  display: none;
}

.trust {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin: 10px auto 40px;
}

footer {
  width: 100%;
  max-width: 300px;
  margin-top: 50px;
}
footer a,
footer p {
  font-weight: 300;
  color: #a5a5a5;
  font-size: 12px;
  line-height: 14px;
  text-align: justify;
  text-align-last: center;
}

footer a {
  text-decoration: underline;
}

.tariff {
  margin: 40px auto 10px;
  font-size: 10px;
}

.disclaimer {
  font-size: 10px;
  line-height: 12px;
}

.error,
.error.black,
.error.white,
.error.yellow {
  margin: 10px auto;
  max-width: 280px;
  font-size: 14px;
  line-height: 20px;
  color: #d11212;
  border: 1px solid #d11212;
  border-radius: 5px;
  padding: 5px;
}

.error.white {
  color: #fff;
  border: 1px solid #fff;
}

.error.yellow {
  color: #efec00;
  border: 1px solid #efec00;
}

.error.black {
  color: #000;
  border: 1px solid #000;
}

#error:empty,
.error:empty {
  border: none;
  display: none;
}

.success-checkmark {
  width: 80px;
  height: 115px;
  margin: 0 auto 26px;
}

.success-checkmark .check-icon {
  width: 80px;
  height: 80px;
  position: relative;
  border-radius: 50%;
  box-sizing: content-box;
  border: 4px solid #83bb00;
  transform: scale(1.8);
  margin: 50px auto;
}

.icon-circle,
.icon-fix,
.icon-line,
.loading div {
  position: absolute;
}

.check-icon::before {
  top: 3px;
  left: -2px;
  width: 30px;
  transform-origin: 100% 50%;
  border-radius: 100px 0 0 100px;
}

.check-icon::after {
  top: 0;
  left: 30px;
  width: 60px;
  transform-origin: 0 50%;
  border-radius: 0 100px 100px 0;
  -webkit-animation: 4.25s ease-in rotate-circle;
  animation: 4.25s ease-in rotate-circle;
}

.check-icon::after,
.check-icon::before {
  content: "";
  height: 100px;
  position: absolute;
  background: #fff;
  transform: rotate(-45deg);
}

.icon-line {
  height: 5px;
  background-color: #83bb00;
  border-radius: 2px;
  z-index: 10;
}

.icon-line.line-tip {
  top: 46px;
  left: 14px;
  width: 25px;
  transform: rotate(45deg);
  -webkit-animation: 0.75s icon-line-tip;
  animation: 0.75s icon-line-tip;
}

.icon-line.line-long {
  top: 38px;
  right: 8px;
  width: 47px;
  transform: rotate(-45deg);
  -webkit-animation: 0.75s icon-line-long;
  animation: 0.75s icon-line-long;
}

.icon-circle {
  top: -4px;
  left: -4px;
  z-index: 10;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  box-sizing: content-box;
  border: 4px solid rgba(131, 187, 0, 0.5);
}

.icon-fix {
  top: 8px;
  width: 5px;
  left: 26px;
  z-index: 1;
  height: 85px;
  transform: rotate(-45deg);
  background-color: #fff;
}

@-webkit-keyframes rotate-circle {
  0%,
  5% {
    transform: rotate(-45deg);
  }

  100%,
  12% {
    transform: rotate(-405deg);
  }
}

@keyframes rotate-circle {
  0%,
  5% {
    transform: rotate(-45deg);
  }

  100%,
  12% {
    transform: rotate(-405deg);
  }
}

@-webkit-keyframes icon-line-tip {
  0%,
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }

  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }

  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }

  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}

@keyframes icon-line-tip {
  0%,
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }

  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }

  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }

  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}

@-webkit-keyframes icon-line-long {
  0%,
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }

  84% {
    width: 55px;
    right: 0;
    top: 35px;
  }

  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}

@keyframes icon-line-long {
  0%,
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }

  84% {
    width: 55px;
    right: 0;
    top: 35px;
  }

  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}

div.window {
  color: #161616;
  margin-top: 20px;
  z-index: 9999;
}

div.window label {
  display: block;
  font-size: 12px;
  width: 100%;
  height: 100%;
  padding-bottom: 2px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: 0 auto;
  border-bottom: 1px solid #000;
}

input.toggle ~ div {
  height: 0;
  margin: 0.2rem;
  overflow: hidden;
  transition: 0.6s cubic-bezier(0.73, -0.485, 0.145, 1.62);
}

input.toggle:checked ~ div {
  height: 230px;
}

.shake {
  position: relative;
  -webkit-animation: 4.72s infinite shake-animation;
  animation: 4.72s infinite shake-animation;
  transform-origin: 50% 50%;
}

@-webkit-keyframes shake-animation {
  0%,
  10.71429%,
  100%,
  3.57143%,
  7.14286% {
    transform: translate(0, 0);
  }

  1.78571%,
  5.35714%,
  8.92857% {
    transform: translate(5px, 0);
  }
}

@keyframes shake-animation {
  0%,
  10.71429%,
  100%,
  3.57143%,
  7.14286% {
    transform: translate(0, 0);
  }

  1.78571%,
  5.35714%,
  8.92857% {
    transform: translate(5px, 0);
  }
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 99; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.8); /* Black w/ opacity */
  align-items: center;
  justify-content: center;
}
.modal-content {
  background-color: #fff;
  padding: 40px 20px 20px;
  border-radius: 15px;
  width: 80%;
  height: 60%;
  overflow-y: scroll;
  max-width: 430px;
  margin: 0 auto;
  position: relative;
}
.modal-content-1 {
  background-color: #fff;
  padding: 40px 20px 20px;
  border-radius: 15px;
  width: 80%;
  height: auto;
  overflow-y: scroll;
  max-width: 430px;
  margin: 0 auto;
  position: relative;
}
.modal-content p {
  text-align: justify;
}
.modal-content ul {
  text-align: left;
  font-size: 13px;
  padding-left: 20px;
}
.close {
  color: #454545;
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}
.close:hover,
.close:focus {
  color: #626262;
  text-decoration: none;
  cursor: pointer;
}

.loading {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.loading-div h3 {
  color: #232323;
  font-size: 14px;
}

.loading div {
  box-sizing: border-box;
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #7abb4d;
  border-radius: 50%;
  animation: 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite lds-ring;
  border-color: #7abb4d transparent transparent;
}

.loading div:first-child {
  animation-delay: -0.45s;
}

.loading div:nth-child(2) {
  animation-delay: -0.3s;
}

.loading div:nth-child(3) {
  animation-delay: -0.15s;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.steps {
  text-align: left;
  padding-left: 0px;
  line-height: 0;
  font-size: 20px;
  color: #afafaf;
  margin: 10px auto;
  max-width: 300px;
}

.steps .uno {
  font-weight: 700;
  color: #7c7c7c;
}

#submitBtn {
  background-color: #00d61934;
  color: white;
  border: none;
  padding: 12px 24px;
  border-radius: 20px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#submitBtn.active {
  background-color: #00d619;
  color: white;
}

.btnCheck {
  background-color: #00d619;
  color: white;
  opacity: 0.6;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 70px;
  max-width: 280px;
  border: none;
  border-radius: 10px;
  font-size: 28px;
  font-weight: 600;
  text-transform: uppercase;
  padding: 10px;
  margin: 10px auto;
  cursor: pointer;
}

/* Estado habilitado: verde */
.btnCheck.active {
  background-color: #00d619;
  color: white;
  opacity: 100;
}
.progress-container {
  width: 100%;
  max-width: 300px;
  height: 50px;
  border: 3px solid #00d619;
  border-radius: 30px;
  position: relative;
  background-color: white;
  padding: 4px;
  box-sizing: border-box;
}

.text-layer {
  position: absolute;
  width: 250px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Arial Black", sans-serif;
  font-size: 18px;
  top: 0;
  left: 4px;
  pointer-events: none;
  white-space: nowrap;
}

.black-text {
  color: black;
  z-index: 1;
}

.progress-bar {
  height: 100%;
  background-color: #00d619;
  border-radius: 25px;
  position: relative;
  z-index: 2;
  width: 0%;
  overflow: hidden;
  transition: width 0.05s linear;
}

.white-text {
  color: white;
  width: 100%;
}
